Reverse proxy management service7 matching interfaces
Update reverse proxy settings
updateReverseProxy
POST
/ReverseProxyService/updateReverseProxy- Definition file
service_reverse_proxy.proto- Available roles
- AdministratorUser
Original definition
rpc updateReverseProxy (UpdateReverseProxyRequest) returns (RPCSuccess);Request message
UpdateReverseProxyRequestUpdate reverse proxy settings
Request message · Field definitions
message UpdateReverseProxyRequest {
int64 reverseProxyId = 1; // Reverse proxy ID
int32 requestHostType = 6; // Optional: origin host name mode: 0 follows the CDN domain, 1 follows the origin, 2 custom
string requestHost = 2; // Optional: custom origin host name
bool requestHostExcludingPort = 15; // Optional: remove the port from the origin host name
string requestURI = 3; // Optional: request URI
string stripPrefix = 4; // Optional: URI prefix to remove
bool autoFlush = 5; // Optional: automatic refresh
repeated string addHeaders = 7; // Optional: request headers to add
bytes connTimeoutJSON = 8; // Optional: connection timeout
bytes readTimeoutJSON = 9; // Optional: read timeout
bytes idleTimeoutJSON = 10; // Optional: idle connection timeout
int32 maxConns = 11; // Optional: maximum number of connections
int32 maxIdleConns = 12; // Optional: maximum number of idle connections
bytes proxyProtocolJSON = 13; // Optional: PROXY Protocol settings
bool followRedirects = 14; // Optional: follow redirects
bool retry50X = 16; // Optional: whether retries on 50X responses are enabled
bool retry40X = 17; // Optional: whether retries on 40X responses are enabled
}Response message
RPCSuccessOperation successful
Response message · Field definitions
message RPCSuccess {
}